Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.uicreator.config
Class UIConfiguration

    java.lang.Object
      tle.framework.component.impl.uicreator.config.UIConfiguration

public class UIConfiguration
extends java.lang.Object

설정 파일에 대한 정보를 저장한다.

Since:
  2.0
Author:
  최범균

Constructor Summary
`UIConfiguration()`

Method Summary
`void` | `addClient(java.lang.String clientType, java.lang.String viewSetID)`
`void` | `addCommandConfig(CommandConfig commandConfig)`
`void` | `addGlobalResultMapping(java.lang.String code, java.lang.String viewID)`
`void` | `addViewSetConfig(ViewSetConfig viewSetConfig)`
`boolean` | `checkGlobalResultPrefix(java.lang.String code)` 지정한 코드가 global prefix로 시작할 경우 true
`ViewSetConfig` | `getClientViewSetConfig(java.lang.String clientType)`
`CommandConfig` | `getCommandConfig(java.lang.String commandID)`
`ViewSetConfig` | `getDefaultViewSetConfig()`
`java.lang.String` | `getGlobalResultMapping(java.lang.String code)`
`java.lang.String` | `getGlobalResultPrefix()`
`ViewSetConfig` | `getViewSetConfig(java.lang.String viewSetID)`
`boolean` | `hasGlobalResultPrefix()`
`void` | `loadCommandMapping(java.lang.String file)`
`void` | `setDefaultViewSet(java.lang.String viewSetID)`
`void` | `setGlobalResultPrefix(java.lang.String globalPrefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIConfiguration

    public UIConfiguration()

Method Detail

### addViewSetConfig

    public void addViewSetConfig(ViewSetConfig viewSetConfig)

### getViewSetConfig

    public ViewSetConfig getViewSetConfig(java.lang.String viewSetID)

### setGlobalResultPrefix

    public void setGlobalResultPrefix(java.lang.String globalPrefix)

### hasGlobalResultPrefix

    public boolean hasGlobalResultPrefix()

### checkGlobalResultPrefix

    public boolean checkGlobalResultPrefix(java.lang.String code)

  지정한 코드가 global prefix로 시작할 경우 true

  Parameters:
    `code` -
  Returns:
    code가 null이면 false, global prefix가 없으면 false, code의 길이와 global preifx 길이가 같아도 false

### getGlobalResultPrefix

    public java.lang.String getGlobalResultPrefix()

### addGlobalResultMapping

    public void addGlobalResultMapping(java.lang.String code,
                                       java.lang.String viewID)

### getGlobalResultMapping

    public java.lang.String getGlobalResultMapping(java.lang.String code)

### addCommandConfig

    public void addCommandConfig(CommandConfig commandConfig)

### loadCommandMapping

    public void loadCommandMapping(java.lang.String file)

### getCommandConfig

    public CommandConfig getCommandConfig(java.lang.String commandID)

### setDefaultViewSet

    public void setDefaultViewSet(java.lang.String viewSetID)

### getDefaultViewSetConfig

    public ViewSetConfig getDefaultViewSetConfig()

### addClient

    public void addClient(java.lang.String clientType,
                          java.lang.String viewSetID)

### getClientViewSetConfig

    public ViewSetConfig getClientViewSetConfig(java.lang.String clientType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD